# Enum Class SyComponentQuery

java.lang.Object
java.lang.Enum<SyComponentQuery>
com.io7m.jsycamore.api.components.SyComponentQuery

All Implemented Interfaces:
  `Serializable, Comparable<SyComponentQuery>, Constable`

public enum SyComponentQuery extends Enum<SyComponentQuery>
A query for a component.

- ## Nested Class Summary

  ### Nested classes/interfaces inherited from class Enum

  `Enum.EnumDesc<E>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `FIND_FOR_MOUSE_CURSOR`
  Find a component that exists at the given position, assuming that the component accepts mouse queries.
  `FIND_SPATIALLY`
  Find a component that exists at the given position.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static SyComponentQuery`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static SyComponentQuery[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### FIND_SPATIALLY

    public static final SyComponentQuery FIND_SPATIALLY
    Find a component that exists at the given position.

  - ### FIND_FOR_MOUSE_CURSOR

    public static final SyComponentQuery FIND_FOR_MOUSE_CURSOR
    Find a component that exists at the given position, assuming that the component accepts mouse queries.
    See Also:
      - `SyMouseFocusAcceptingReadableType.isMouseQueryAccepting()`

- ## Method Details

  - ### values

    public static SyComponentQuery[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static SyComponentQuery valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null